Subject: Re: t0028-working-tree-encoding.sh failing on musl based systems (Alpine Linux)

From: Kevin Daudt <[email-masked]>
Date: Fri, 8 Feb 2019 12:55:11 +0100

On Fri, Feb 08, 2019 at 11:45:02AM +0000, brian m. carlson wrote:
> On Fri, Feb 08, 2019 at 01:04:03AM -0500, Rich Felker wrote:
> [..]
> > In any case, this test seems mainly relevant to Windows users wanting
> > to store source files in UTF-16LE with BOM. This doesn't really make
> > sense to do on a Linux/musl system, so I'm not sure any action is
> > needed here from either side.
> 
> I do know that some people use CIFS or the like to share repositories
> between Unix and Windows. However, I agree that such people aren't
> likely to use UTF-16 on Unix systems. The working tree encoding
> functionality also supports other encodings which musl may or may not
> support.
> 
> If you and your users are comfortable with the fact that the test (and
> the corresponding functionality) won't work as expected with UTF-16,
> then I agree that no action is needed.

So would you suggest that we just skip this test on Alpine Linux?